AnsweredAssumed Answered

Unable to configure MapR ecosystem repository

Question asked by anirudhraok on Oct 19, 2016
Latest reply on Nov 7, 2016 by aalvarez

Hi 

 

I am new to Mapr and I am trying to install MAPR 5.2 on a single node system (Ubuntu). I was successfully able to install 5.0 but end up getting an error during the installation process. 

                  

               "Unable to configure MapR Ecosystem repository. Confirm that repository target http://package.mapr.com/releases/MEP/MEP-1.1 is accessible"

 

I have tried using wget http://package.mapr.com/releases/MEP/MEP-1.1 but end up getting the same error.

 

The log is :

2016-10-19 16:26:39.454: shell rm -f /etc/apt/sources.list.d/*releases* -> changed: {
"changed": true,
"cmd": "rm -f /etc/apt/sources.list.d/*releases*",
"delta": "0:00:00.005293",
"end": "2016-10-19 17:26:39.430912",
"rc": 0,
"start": "2016-10-19 17:26:39.425619",
"stderr": "",
"stdout": "",
"warnings": [
"Consider using file module with state=absent rather than running rm"
]
}
2016-10-19 16:26:43.577: apt_repository repo="deb {{ repo_core_url }}{{ repo_subdir }} mapr optional" state=present update_cache=yes -> changed: {
"changed": true,
"repo": "deb http://package.mapr.com/releases/v5.2.0/ubuntu mapr optional",
"state": "present"
}
2016-10-19 16:26:47.997: debug var=eco_result -> ok: {
"var": {
"eco_result": {
"failed": true,
"invocation": {
"module_args": "repo=\"deb http://package.mapr.com/releases/MEP/MEP-1.1/ubuntu binary/\" state=present update_cache=yes",
"module_complex_args": {},
"module_name": "apt_repository"
},
"msg": "\r\nBECOME-SUCCESS-secpcvcfkkbekenjnqeiszphwbaqkgmn\r\nTraceback (most recent call last):\r\n File \"/tmp/ansible-tmp-1476912403.61-242363633846232/apt_repository\", line 2855, in <module>\r\n main()\r\n File \"/tmp/ansible-tmp-1476912403.61-242363633846232/apt_repository\", line 464, in main\r\n cache.update()\r\n File \"/usr/lib/python2.7/dist-packages/apt/cache.py\", line 454, in update\r\n raise FetchFailedException(e)\r\napt.cache.FetchFailedException: W:http://package.mapr.com/releases/v5.2.0/ubuntu/dists/mapr/InRelease: Signature by key 371041DF24E89C1131847C38BFDDB60966B3F0D6 uses weak digest algorithm (SHA1), W:The repository 'http://package.mapr.com/releases/installer/ubuntu binary/ Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., W:The repository 'http://package.mapr.com/releases/MEP/MEP-1.1/ubuntu binary/ Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., E:Failed to fetch http://package.mapr.com/releases/MEP/MEP-1.1/ubuntu/binary/Packages 404 Not Found [IP: 52.84.66.127 80], E:Some index files failed to download. They have been ignored, or old ones used instead.\r\nShared connection to mapr closed.\r\n",
"parsed": false
}
}
}
2016-10-19 16:26:56.629: apt_repository repo="deb {{ repo_eco_url }}{{ repo_subdir }} binary/" state=absent update_cache=yes -> changed: {
"changed": true,
"repo": "deb http://package.mapr.com/releases/MEP/MEP-1.1/ubuntu binary/",
"state": "absent"
}
2016-10-19 16:27:00.397: debug var=eco_result -> ok: {
"var": {
"eco_result": {
"failed": true,
"invocation": {
"module_args": "repo=\"deb http://package.mapr.com/releases/MEP/MEP-1.1/ubuntu binary trusty\" state=present update_cache=yes",
"module_complex_args": {},
"module_name": "apt_repository"
},
"msg": "\r\nBECOME-SUCCESS-ifetnxmpimvjqamnjmunfyqqoofijotf\r\nTraceback (most recent call last):\r\n File \"/tmp/ansible-tmp-1476912416.64-73549220170099/apt_repository\", line 2855, in <module>\r\n main()\r\n File \"/tmp/ansible-tmp-1476912416.64-73549220170099/apt_repository\", line 464, in main\r\n cache.update()\r\n File \"/usr/lib/python2.7/dist-packages/apt/cache.py\", line 454, in update\r\n raise FetchFailedException(e)\r\napt.cache.FetchFailedException: W:The repository 'http://package.mapr.com/releases/installer/ubuntu binary/ Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., W:http://package.mapr.com/releases/v5.2.0/ubuntu/dists/mapr/InRelease: Signature by key 371041DF24E89C1131847C38BFDDB60966B3F0D6 uses weak digest algorithm (SHA1), E:Failed to fetch http://package.mapr.com/releases/MEP/MEP-1.1/ubuntu/dists/binary/Release No Hash entry in Release file /var/lib/apt/lists/partial/package.mapr.com_releases_MEP_MEP-1.1_ubuntu_dists_binary_Release which is considered strong enough for security purposes, E:Some index files failed to download. They have been ignored, or old ones used instead.\r\nShared connection to mapr closed.\r\n",
"parsed": false
}
}
}
2016-10-19 16:27:04.415: apt_repository repo="deb {{ repo_eco_url }}{{ repo_subdir }} binary trusty" state=absent update_cache=yes -> changed: {
"changed": true,
"repo": "deb http://package.mapr.com/releases/MEP/MEP-1.1/ubuntu binary trusty",
"state": "absent"
}
2016-10-19 16:27:04.438: failed: [fail msg="Unable to configure MapR Ecosystem repository. Confirm that repository target {{ repo_eco_url }} is accessible"] [mapr] => {"failed": true}
Unable to configure MapR Ecosystem repository. Confirm that repository target http://package.mapr.com/releases/MEP/MEP-1.1 is accessible

 

 

Please help me out with this, Thanks in advance

 

Regards

Outcomes